/*
 * Class HASH_TABLE_ITERATION_CURSOR [NATURAL_32, POINTER]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_610 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_610 [] = {0xFF01,237,609,200,215,0xFFFF};
static const EIF_TYPE_INDEX egt_2_610 [] = {0xFF01,609,200,215,0xFFFF};
static const EIF_TYPE_INDEX egt_3_610 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_610 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_610 [] = {0xFF01,609,200,215,0xFFFF};
static const EIF_TYPE_INDEX egt_6_610 [] = {0xFF01,609,200,215,0xFFFF};
static const EIF_TYPE_INDEX egt_7_610 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_610 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_610 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_610 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_610 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_610 [] = {609,200,215,0xFFFF};
static const EIF_TYPE_INDEX egt_13_610 [] = {0xFF01,609,200,215,0xFFFF};
static const EIF_TYPE_INDEX egt_14_610 [] = {0xFF01,609,200,215,0xFFFF};
static const EIF_TYPE_INDEX egt_15_610 [] = {0xFF01,609,200,215,0xFFFF};
static const EIF_TYPE_INDEX egt_16_610 [] = {0xFF01,609,200,215,0xFFFF};
static const EIF_TYPE_INDEX egt_17_610 [] = {0xFF01,609,200,215,0xFFFF};
static const EIF_TYPE_INDEX egt_18_610 [] = {0xFF01,608,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_19_610 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_20_610 [] = {0xFF01,412,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_610 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_610 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_610 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_610 [] = {0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_25_610 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_610[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_610), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_610), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_610), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_610), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_610), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_610), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_610), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_610), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_610), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_610), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_610), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_610), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_610), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_610), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3064, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3066, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3067, 12},
	{EIF_NON_GENERIC(0x019D /*206*/), 3068, 16},
	{EIF_NON_GENERIC(0x019D /*206*/), 3069, 20},
	{EIF_NON_GENERIC(0x019D /*206*/), 3070, 24},
	{EIF_GENERIC(egt_14_610), 3072, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_610), 3073, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_610), 3049, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_610), 3050, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 3051, 8},
	{EIF_NON_GENERIC(0x017F /*191*/), 3053, 4},
	{EIF_NON_GENERIC(0x017F /*191*/), 3054, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3055, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3056, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3057, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3058, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3059, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_610), 3343, 0},
	{EIF_GENERIC(egt_19_610), 3062, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_610), 3071, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_610), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_610), 3339, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3341, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3342, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_610), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_610), 3340, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_610), -1, 0xFFFFFFFF},
};
void Init610(void)
{
	IDSC(desc_610, 0, 609);
	IDSC(desc_610 + 1, 1, 609);
	IDSC(desc_610 + 32, 194, 609);
	IDSC(desc_610 + 52, 99, 609);
	IDSC(desc_610 + 54, 245, 609);
	IDSC(desc_610 + 58, 125, 609);
}


#ifdef __cplusplus
}
#endif
